@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* *:focus{
    outline: none;
} */

body {
  width: 100%;
  background: #fafafa;
  /* position: relative; */
  /* font-family: 'roboto', sans-serif; */
}

.navbar {
  /* position: fixed; */
  top: 0;
  left: 0;
  width: 100%;
  height: 50px;
  background: #fff;
  border-bottom: 1px solid #dfdfdf;
  display: flex;
  justify-content: center;
  padding: 5px 0;
}

.nav-wrapper {
  width: 70%;
  max-width: 1000px;
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.brand-img {
  height: 100%;
  margin-top: 5px;
}

.search-box {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 200px;
  height: 25px;
  background: #fafafa;
  border: 1px solid #dfdfdf;
  border-radius: 2px;
  color: rgba(0, 0, 0, 0.5);
  text-align: center;
  text-transform: capitalize;
}

.search-box::placeholder {
  color: rgba(0, 0, 0, 0.5);
}

.nav-items {
  height: 22px;
  position: relative;
}

.icon {
  height: 100%;
  cursor: pointer;
  margin: 0 10px;
  display: inline-block;
}

.user-profile {
  width: 22px;
  border-radius: 50%;

  background-size: cover;
}

/* story */
.main {
  width: 100%;
  padding: 40px 0;
  display: flex;
  justify-content: center;
  margin-top: 50px;
}

.wrapper {
  width: 70%;
  max-width: 1000px;
  display: grid;
  grid-template-columns: 60% 40%;
  grid-gap: 30px;
}

.left-col {
  display: flex;
  flex-direction: column;
}

.profile-pic {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  overflow: hidden;
  padding: 3px;
  /* background: linear-gradient(45deg, rgb(255, 230, 0), rgb(255, 0, 128) 80%); */
}

.profile-pic img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
  border: 2px solid #fff;
}

.username {
  width: 100%;
  overflow: hidden;
  text-align: center;
  font-size: 12px;
  margin-top: 5px;
  color: rgba(0, 0, 0, 0.5);
}

/* body */
.post {
  width: 100%;
  height: auto;
  background: #fff;
  border: 1px solid #dfdfdf;
  margin-top: 40px;
}

.info {
  width: 100%;
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
}

.info .username {
  width: auto;
  font-weight: bold;
  color: #000;
  font-size: 14px;
  margin-left: 10px;
}

.info .options {
  height: 10px;
  cursor: pointer;
}

.info .user {
  display: flex;
  align-items: center;
}

.info .profile-pic {
  height: 40px;
  width: 40px;
  padding: 0;
  background: none;
}

.info .profile-pic img {
  border: none;
}

.post-image {
  width: 100%;
  height: 500px;
  object-fit: cover;
}

.post-content {
  width: 100%;
  padding: 20px;
}

.likes {
  font-weight: bold;
}

.description {
  margin: 10px 0;
  font-size: 14px;
  line-height: 20px;
}

.description span {
  font-weight: bold;
  margin-right: 10px;
}

.post-time {
  color: rgba(0, 0, 0, 0.5);
  font-size: 12px;
}

.comment-wrapper {
  width: 100%;
  height: 50px;
  border-radius: 1px solid #dfdfdf;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.comment-wrapper .icon {
  height: 30px;
}

.comment-box {
  width: 80%;
  height: 100%;
  border: none;
  outline: none;
  font-size: 14px;
}

.comment-btn,
.action-btn {
  width: 70px;
  height: 100%;
  background: none;
  border: none;
  outline: none;
  text-transform: capitalize;
  font-size: 16px;
  color: rgb(0, 162, 255);
  opacity: 0.5;
}

.reaction-wrapper {
  width: 100%;
  height: 50px;
  display: flex;
  margin-top: -20px;
  align-items: center;
}

.reaction-wrapper .icon {
  height: 25px;
  margin: 0;
  margin-right: 20px;
}

.reaction-wrapper .icon.save {
  margin-left: auto;
}

/* recomendation */
.right-col {
  padding: 60px;
}

.profile-card {
  width: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
}

.profile-card .profile-pic {
  flex: 0 0 auto;
  padding: 0;
  background: none;
  width: 40px;
  height: 40px;
  margin-right: 10px;
}

.profile-card:first-child .profile-pic {
  width: 70px;
  height: 70px;
}

.profile-card .profile-pic img {
  border: none;
}

.profile-card .username {
  font-weight: 500;
  font-size: 14px;
  color: #000;
}

.sub-text {
  color: rgba(0, 0, 0, 0.5);
  font-size: 12px;
  font-weight: 500;
  margin-top: 5px;
}

.action-btn {
  opacity: 1;
  font-weight: 700;
  font-size: 12px;
}

.suggestion-text {
  font-size: 14px;
  color: rgba(0, 0, 0, 0.5);
  font-weight: 700;
  margin: 20px 0;
}

/* like button */

.like-btn {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
}

.like-icon {
  width: 24px; /* Adjust size as needed */
  height: 24px; /* Adjust size as needed */
}



/* comment form */
.comment {
    position: relative;
    margin-bottom: 10px;
    padding: 10px;
    background-color: #f9f9f9;
  }
  
  .comment button {
    position: absolute;
    top: 10px;
    right: 10px;

    border: none;
    padding: 5px 10px;
    cursor: pointer;
  }
  
  .comment input[type="text"] {
    width: 70%;
    padding: 5px;
  }
  
  /* Style for nested (reply) comment form */
  .comment-content {
    margin-left: 20px; /* Indent the nested reply */
    padding: 5px;
    background-color: #eaeaea;
  }
  
  .comment-content .username {
    font-weight: bold;
    color: #007bff;
  }

.comment .reply-btn,
.comment .delete-btn {
    margin-right: 10px;
    cursor: pointer;
    background: none;
    color: grey;
    /* text-decoration: underline; */
}
.comment .reply-btn{
  margin-right: 20%;
}

  


  .modal {
    display: none;
    position: absolute;
    z-index: 1;
    left: 50%;
    transform: translateX(-50%);
    top: 60px; /* Adjust this value to position the modal below the search bar */
    width: 80%;
    max-width: 600px;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    border-radius: 10px;
}
.profile-card1 {
  display: flex;
  align-items:space-between;
  padding: 10px;
  border-bottom: 1px solid #ddd;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


@media (max-width: 1100px) {
  .right-col,
  .search-box {
    display: none;
  }
  .nav-wrapper,
  .wrapper {
    width: 90%;
  }
  .wrapper {
    display: block;
  }
}

@media (max-width: 500px) {
  .nav-items .icon {
    margin: 0 5px;
  }
  .post-image {
    height: 300px;
  }
}




/* post modal */
/* CSS for modals */
.modal-post {
  display: none;
  position: fixed;
  top: 50%; 
  left: 50%; 
  transform: translate(-50%, -50%);
  background-color: #fefefe;
  padding: 20px;
  border: 1px solid #888;
  width: 80%; 
  max-width: 500px; 
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); 
  z-index: 1000; 
}

.close-post {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
  cursor: pointer;
}

.close-post:hover,
.close-post:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
  backdrop-filter: blur(5px); /* Apply the blur effect */
  z-index: 999; /* Ensure it's below the modals */
}

.follow-card {
  background: linear-gradient(45deg, #f09433, #e6683c, #dc2743, #cc2366, #bc1888);
  background-size: 300% 300%;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px;
  text-align: center;
  animation: gradient 3s ease infinite;
}

#follow-to-view-photos {
  color: white;
  font-size: 24px;
  margin: 0;
}

@keyframes gradient {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}